Lock Assistant
curl --request PUT \
--url https://catalystapi.superdashhq.com/api/v1/assistants/updateAssistantVisibility/{workspaceId}/{assistantId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '{
"locked": true
}'import requests
url = "https://catalystapi.superdashhq.com/api/v1/assistants/updateAssistantVisibility/{workspaceId}/{assistantId}"
payload = { "locked": True }
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({locked: true})
};
fetch('https://catalystapi.superdashhq.com/api/v1/assistants/updateAssistantVisibility/{workspaceId}/{assistantId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"assistant": {
"id": "<Assistant ID>",
"locked": "<locked status>"
}
}
{
"error": "Invalid workspace or assistant ID"
}
{
"message": "No api key, authorization denied"
}
{
"error": "Assistant not found"
}
{
"error":"Internal Server error"
}
Assistant
Lock Assistant
Endpoint to lock the assistant
PUT
/
v1
/
assistants
/
updateAssistantVisibility
/
{workspaceId}
/
{assistantId}
Lock Assistant
Authorizations
string
required
API key associated with your workspace
Path Parameters
string
required
UUID of the workspace
string
required
UUID of the Assistant
Body Parameters
boolean
required
The locked status of the assistant
Response
{
"success": true,
"assistant": {
"id": "<Assistant ID>",
"locked": "<locked status>"
}
}
{
"error": "Invalid workspace or assistant ID"
}
{
"message": "No api key, authorization denied"
}
{
"error": "Assistant not found"
}
{
"error":"Internal Server error"
}
⌘I